|  | Contents | Index

Codec.Encryption.DES

Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk

Contents

Function Types

Description
Takes the DES module supplied by Ian Lynagh and wraps it so it can used with the standard modes. http://web.comlab.ox.ac.uk/oucl/work/ian.lynagh/.
Synopsis

encrypt :: Word64 -> Word64 -> Word64
decrypt :: Word64 -> Word64 -> Word64

Function Types
encrypt :: Word64 -> Word64 -> Word64
Basic DES encryption which takes a key and a block of plaintext and returns the encrypted block of ciphertext according to the standard.
decrypt :: Word64 -> Word64 -> Word64
Basic DES decryption which takes a key and a block of ciphertext and returns the decrypted block of plaintext according to the standard.
Produced by Haddock version 0.6